package com.ynfy.buss.exam.paperruledetail.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.paperruledetail.entity.PaperRuleDetail;
import com.ynfy.buss.exam.paperrulegroup.entity.PaperRuleGroup;

import java.util.List;

/**
 * @Description: paper_rule_detail
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
public interface IPaperRuleDetailService extends IService<PaperRuleDetail> {

    void saveAll(String paperId, List<PaperRuleGroup> groupList);


    /**
     * 根据试卷id查询规则明细
     */
    List<PaperRuleDetail> listByPaperId(String paperId);

    void remove(String paperId);

    void removeByQuestionIds(String[] paperIds);
}
